Jump to content


Photo

OpenPLi Release Candidate 8.0 available.


  • This topic is locked This topic is locked
317 replies to this topic

Re: OpenPLi Release Candidate 8.0 available. #41 demosat1

  • Senior Member
  • 303 posts

+3
Neutral

Posted 30 November 2020 - 22:22

Netflix requires DRM, WideVine is not available on an Open Source box?

root@osmio4kplus:~# opkg list *inputstream-adaptive*
kodi-addon-inputstream-adaptive - 2.4.3+gitr0+09ec268dc4-r0.5 - kodi inputstream addon for several manifest types
kodi-addon-inputstream-adaptive-dbg - 2.4.3+gitr0+09ec268dc4-r0.5 - kodi inputstream addon for several manifest types - Debugging files
kodi-addon-inputstream-adaptive-dev - 2.4.3+gitr0+09ec268dc4-r0.5 - kodi inputstream addon for several manifest types - Development files
root@osmio4kplus:~# opkg install kodi-addon-inputstream-adaptive
Installing kernel-module-ext2-5.9.0 (5.9) on root
Downloading http://downloads.ope...osmio4kplus.ipk.
Installing libkodiplatform18.0 (18.0.0) on root
Downloading http://downloads.ope...osmio4kplus.ipk.
Installing ldd (2.30) on root
Downloading http://downloads.ope...-neon-vfpv4.ipk.
Installing kodi-addon-inputstream-adaptive (2.4.3+gitr0+09ec268dc4) on root
Downloading http://downloads.ope...-neon-vfpv4.ipk.
Configuring kernel-module-ext2-5.9.0.
Configuring libkodiplatform18.0.
Configuring ldd.
Configuring kodi-addon-inputstream-adaptive.
root@osmio4kplus:~#

Now it looks good,
I come back to you after installing windevine

 

k7ba.jpg



Re: OpenPLi Release Candidate 8.0 available. #42 demosat1

  • Senior Member
  • 303 posts

+3
Neutral

Posted 30 November 2020 - 22:36

After install windevine.

 

Your system does not have the required libraries for Widevine CDM: libnss3.so, libnssutil3.so, libnspr4.so.
Install the libraries to read this content.

sirj.jpg


Edited by demosat1, 30 November 2020 - 22:37.


Re: OpenPLi Release Candidate 8.0 available. #43 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 30 November 2020 - 22:49

Looking into it.

 

As "payment", I expect you to write up a "Netfflix on Kodi" page for our wiki... :) :) :)


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #44 angelito

  • Senior Member
  • 30 posts

+1
Neutral

Posted 30 November 2020 - 22:53

thanks for the work



Re: OpenPLi Release Candidate 8.0 available. #45 jpuigs

  • Senior Member
  • 1,091 posts

+28
Good

Posted 30 November 2020 - 23:01

Octagon sf8008 twin S2X.

 

SAT>IP Client doesn't "create" a new Tuner C.

 

Some days ago, I created that thread: https://forums.openp...p-does-it-work/  (openpli 7.3) but nobody answered.

Using ET 10K as a server gave no video picture.

I solved it using an Octagon SF4008 as a server instead of ET 10K, and that Octagon 4008 has SatdreamGr8 image, openpli based.

 

Using Octafon SF8008 as a client with OP 7.3 works fine.

But now, on Openpli8-rc, it doesn't work at all., It doesn't even appear new Tuner C.

 

I start minisatip server on 192.168.0.13

I Open SAT>IP Client Setup..... I press yellow button.......   Attached File  minisatip1.jpg   177.22KB   8 downloads  ... and it detects server.

I press gree key to save, and box asks to reboot. I do it.

When it is working again, it should appear a new TUNER, ........  but it doesn't !!!!   Attached File  minisatip2.jpg   76.66KB   8 downloads

On other images, doing the same it works......... Attached File  minisatip3.jpg   69.01KB   8 downloads

and I check that the server is working by using VLC and asking for a channel........   Attached File  minisatip4.jpg   228.44KB   8 downloads


Edited by jpuigs, 30 November 2020 - 23:03.

Spoiler

Re: OpenPLi Release Candidate 8.0 available. #46 demosat1

  • Senior Member
  • 303 posts

+3
Neutral

Posted 30 November 2020 - 23:01

Looking into it.

 

As "payment", I expect you to write up a "Netfflix on Kodi" page for our wiki... :) :) :)

Why not, but only French language ... i'm sorry i don't speak English :(  



Re: OpenPLi Release Candidate 8.0 available. #47 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 30 November 2020 - 23:13

I've found libnspr4, still looking for libnss3.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #48 yadranko

  • Senior Member
  • 155 posts

+1
Neutral

Posted 30 November 2020 - 23:16

On my Vu+ Solo2 now I have the same problem like on OpenATV 6.4, OpenViX 5.4 with scanning 4.8E and 0.8W. Example 12322 V and 12360 V.
...


Same ONID and TID?
It seems similar to these frequencies on 16E:
https://forums.openp...n-eutelsat-16e/
You can try to scan the second frequency by disabling the "ignore dvbs namespace sub network" in customize menu

Re: OpenPLi Release Candidate 8.0 available. #49 Dorfkind

  • Senior Member
  • 120 posts

+4
Neutral

Posted 30 November 2020 - 23:36

 

Thanks. Just wondering why its working fine with 7.3...


No idea, for that we need to know the exact error. Maybe you're missing an optional python package, that is the problem with external ipk's, dependencies are never defined correctly.
 

Any hints for the wrong mountpoint?

 

What "wrong mountpoint"? Did I miss something?

 

Yes. Pls read #29. Crash log tries to write to /media/hdd, but drive ist @/media/usb...


Mutant HD51 OpenPli 7.3 Wohnzimmer

Edision Osmini OpenPli 8.0 Schlafzimmer

Bier lecker 20.0 Kühlschrank :D


Re: OpenPLi Release Candidate 8.0 available. #50 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 30 November 2020 - 23:44

I've found libnspr4, still looking for libnss3.

Found that too.

opkg update
opkg install nspr nss

NB: only for the OS Mio 4K Plus, the rest will come after tonights build. And you might have to wait until the download mirrors have been synced.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #51 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 30 November 2020 - 23:52

Yes. Pls read #29. Crash log tries to write to /media/hdd, but drive ist @/media/usb...

 

Reported it to the developers, not something I can fix.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #52 Dorfkind

  • Senior Member
  • 120 posts

+4
Neutral

Posted 30 November 2020 - 23:55

 

Yes. Pls read #29. Crash log tries to write to /media/hdd, but drive ist @/media/usb...

 

Reported it to the developers, not something I can fix.

 

Bedankt desondanks :thumbs-up:


Mutant HD51 OpenPli 7.3 Wohnzimmer

Edision Osmini OpenPli 8.0 Schlafzimmer

Bier lecker 20.0 Kühlschrank :D


Re: OpenPLi Release Candidate 8.0 available. #53 demosat1

  • Senior Member
  • 303 posts

+3
Neutral

Posted 30 November 2020 - 23:57

 

I've found libnspr4, still looking for libnss3.

Found that too.

opkg update
opkg install nspr nss

NB: only for the OS Mio 4K Plus, the rest will come after tonights build. And you might have to wait until the download mirrors have been synced.

 

 

Fantastic !
Netflix and Amazon VOD work fine with Kodi now.

Thank you very much Wanwizard and to the whole team.  :)



Re: OpenPLi Release Candidate 8.0 available. #54 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 30 November 2020 - 23:59

You're welcome.

 

I've updated the kodi dependencies, so the packages you were missing will now be automatically installed when you install Kodi.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #55 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 1 December 2020 - 00:33

After install windevine.

 

Just to confirm I have covered it all: what exactly did you install here?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #56 demosat1

  • Senior Member
  • 303 posts

+3
Neutral

Posted 1 December 2020 - 00:50


 

 

After install windevine.

 

Just to confirm I have covered it all: what exactly did you install here?

 

after install windevine.

error message for no libnss....

 

opkg update
opkg install nspr nss

 

 

Remenber step by step

0 - install firmware openpli 8 rc

1 - install plugin Kodi

2 - install addon for Netflix and Amazon vod (repository.castagnait and repository.sandmann79.plugins)

3 - opkg install python-pycrypto

4 - opkg install python-pycryptodomex

5 - opkg install kodi-addon-inputstream-adaptive

6 - opkg install nspr nss

7 - the end :)


Edited by demosat1, 1 December 2020 - 00:57.


Re: OpenPLi Release Candidate 8.0 available. #57 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 1 December 2020 - 00:51

Ok, so widevine is not a package you got from somewhere. Good, thanks.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #58 betacentauri

  • PLi® Core member
  • 6,938 posts

+299
Excellent

Posted 1 December 2020 - 00:53


Yes. Pls read #29. Crash log tries to write to /media/hdd, but drive ist @/media/usb...


Reported it to the developers, not something I can fix.
Bedankt desondanks :thumbs-up:

After reboot do you have a /media/hdd directory?
Is there something mounted on /media/hdd?
Xtrend ET-9200, ET-8000, ET-10000, OpenPliPC on Ubuntu 12.04

Re: OpenPLi Release Candidate 8.0 available. #59 WanWizard

  • PLi® Core member
  • 57,960 posts

+1,248
Excellent

Posted 1 December 2020 - 01:05

The /media/hdd directory should be there, but as I understand nothing is mounted on it. And /media itself is 64Kb tmpfs, so not a lot of space for crash logs...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: OpenPLi Release Candidate 8.0 available. #60 alabama

  • Senior Member
  • 225 posts

0
Neutral

Posted 1 December 2020 - 06:04

Thanks for the new Image and our hard work :)


current active Boxes:

Vusolo2, Zgemma H7S, Vuduo2 & HD2400 @ Astra 19,2° & Hotbird 13°

 





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users